# Add files and directories to ship with the application 

images.source = images \
                icons
DEPLOYMENTFOLDERS = images \
                    icons

symbian:TARGET.UID3 = 0xE78357F5

# Smart Installer package's UID
# This UID is from the protected range 
# and therefore the package will fail to install if self-signed
# By default qmake uses the unprotected range value if unprotected UID is defined for the application
# and 0x2002CCCF value if protected UID is given to the application
#symbian:DEPLOYMENT.installer_header = 0x2002CCCF

# Allow network access on Symbian
symbian:TARGET.CAPABILITY += NetworkServices

# If your application uses the Qt Mobility libraries, uncomment
# the following lines and add the respective components to the 
# MOBILITY variable. 
# CONFIG += mobility
# MOBILITY +=

SOURCES += main.cpp mainwindow.cpp \
    about.cpp \
    help.cpp \
    instructions.cpp \
    terms.cpp \
    selectwindows/wend.cpp \
    selectwindows/wmid.cpp \
    selectwindows/wbend.cpp \
    selectwindows/whitch.cpp \
    selectwindows/wstop.cpp \
    selectwindows/wlash.cpp \
    knots/kalpinebend.cpp \
    knots/kdoublefb.cpp \
    knots/ksheetbend.cpp \
    knots/kzeppelin.cpp \
    knots/kbowline.cpp \
    knots/kpoachers.cpp \
    knots/krunningb.cpp \
    knots/kwaterb.cpp \
    knots/kanchor.cpp \
    knots/kbuntline.cpp \
    knots/kclove.cpp \
    knots/ktimber.cpp \
    knots/ktruckers.cpp \
    knots/ktumble.cpp \
    knots/kalpineloop.cpp \
    knots/kbunny.cpp \
    knots/kfig9.cpp \
    knots/khandcuff.cpp \
    knots/kdoubleoh.cpp \
    knots/koyster.cpp \
    knots/kfig8.cpp \
    lash/ldiag.cpp \
    lash/lround.cpp \
    lash/lshear.cpp \
    lash/lsquare.cpp \
    lash/ltripod.cpp


HEADERS += mainwindow.h \
    about.h \
    help.h \
    instructions.h \
    terms.h \
    selectwindows/wend.h \
    selectwindows/wbend.h \
    selectwindows/whitch.h \
    selectwindows/wmid.h \
    selectwindows/wstop.h \
    selectwindows/wlash.h \
    knots/kalpinebend.h \
    knots/kdoublefb.h \
    knots/ksheetbend.h \
    knots/kzeppelin.h \
    knots/kbowline.h \
    knots/kpoachers.h \
    knots/krunningb.h \
    knots/kwaterb.h \
    knots/kanchor.h \
    knots/kbuntline.h \
    knots/kclove.h \
    knots/ktimber.h \
    knots/ktruckers.h \
    knots/ktumble.h \
    knots/kalpineloop.h \
    knots/kbunny.h \
    knots/kfig9.h \
    knots/khandcuff.h \
    knots/kdoubleoh.h \
    knots/koyster.h \
    knots/kfig8.h \
    lash/ldiag.h \
    lash/lround.h \
    lash/lshear.h \
    lash/lsquare.h \
    lash/ltripod.h


FORMS += mainwindow.ui \
    about.ui \
    help.ui \
    instructions.ui \
    terms.ui \
    selectwindows/wend.ui \
    selectwindows/wstop.ui \
    selectwindows/wmid.ui \
    selectwindows/whitch.ui \
    selectwindows/wbend.ui \
    selectwindows/wlash.ui \
    knots/kalpinebend.ui \
    knots/kdoublefb.ui \
    knots/ksheetbend.ui \
    knots/kzeppelin.ui \
    knots/kbowline.ui \
    knots/kpoachers.ui \
    knots/krunningb.ui \
    knots/kwaterb.ui \
    knots/kanchor.ui \
    knots/kbuntline.ui \
    knots/kclove.ui \
    knots/ktimber.ui \
    knots/ktruckers.ui \
    knots/ktumble.ui \
    knots/kalpineloop.ui \
    knots/kbunny.ui \
    knots/kfig9.ui \
    knots/khandcuff.ui \
    knots/kdoubleoh.ui \
    knots/koyster.ui \
    knots/kfig8.ui \
    lash/ldiag.ui \
    lash/lround.ui \
    lash/lshear.ui \
    lash/lsquare.ui \
    lash/ltripod.ui


# Please do not modify the following two lines. Required for deployment.
include(deployment.pri)
qtcAddDeployment()

OTHER_FILES += \
    qtc_packaging/debian_fremantle/rules \
    qtc_packaging/debian_fremantle/README \
    qtc_packaging/debian_fremantle/copyright \
    qtc_packaging/debian_fremantle/control \
    qtc_packaging/debian_fremantle/compat \
    qtc_packaging/debian_fremantle/changelog

maemo5 {
    target.path = /opt/qnotted/bin
    INSTALLS += target
}

RESOURCES +=

